### 8.3.0

**2020.07.16**

- [NEW] `MagicLink` kind.
- [NEW] `download` raw text.
- [FIX] `canPerform` when type mismatch.

### 8.1.8

**2020.05.15**

- [NEW] `Result<T>` web API response compatibility.
- [NEW] `zen-cerebellum` compatibility.
- [NEW] `selectify` for single entity.
- [FIX] Handle classic action.
- [FIX] toBasic supports `null` input.
- [FIX] UTF-8 support for password.
- [NEW] `Kind.Query` and `Kind.Mailing` enumerations.

### 8.0.6

**2019.10.22**

- [FIX] Log internal error when upload failure.
- [NEW] `zen-antigen` compatibility.

### 8.0.3

**2019.07.24**

- [NEW] Add new `Kind` enums.
- [NEW] Expose `selectify` method.

### 8.0.0

**2019.06.07**

- [BREAK] New `uploader` API.

### 7.3.1

**2019.06.06**

- [NEW] New `downloadFrom` API.
- [NEW] New `Kind` enum.

### 7.2.1

**2019.03.25**

- [FIX] Update peer dependency `history`.

### 7.2.0

**2019.01.08**

- [NEW] Password workflow support.
- [NEW] Theme injector during init flow.

### 7.0.4

**2018.12.05**

- [NEW] Token can be restored during init flow

### 7.0.3

**2018.09.18**

- [BREAK] Custom options of `withMultiSelection` API.
- [BREAK] Rename `notify` & `prompt` as notifications.
- [BREAK] Compatibility with `zen-cerebellum` 4.0.
- [BREAK] Export all features at root package.

### 6.8.0

**2018.07.26**

- [NEW] `Satellites` management.

### 6.7.0

**2018.07.19**

- [NEW] Support `share` entity kind.

### 6.6.0

**2018.06.28**

- [NEW] `Static resource` web-service.

### 6.5.0

**2018.06.26**

- [NEW] `Stamps` management.

### 6.4.2

**2018.06.08**

- [NEW] `replaceDocument` web-service and `uploaderFactory`.
- [FIX] `canPerformOp` with 0 flag.
- [FIX] `127.0.0.1` as secure context.

### 6.3.3

**2018.05.28**

- [FIX] Do not prefix local web services.

### 6.3.1

**2018.04.30**

- [NEW] `advancedsearch` routing.

### 6.2.0

**2018.04.23**

- [NEW] Automatically add extention when computing image path with `getIconographyPath`.
- [NEW] Compatibility with `PrmDefs` settings.
- [FIX] Do not use `ReasonPhrase` for exception logging (HTTP/2 compliant).

### 6.1.0

**2018.04.13**

- [NEW] Allow `options` bag to logMessage methods.

### 6.0.0

**2018.21.03**

- [BREAK] Remove `IsShortcut` and support `TargetId`.
- [BREAK] Rename `getId`, `getKind` methods.
- [NEW] Chainable `withMultiSelection`.

### 5.6.0

**2018.16.03**

- [BREAK] Add `canPerformOp` to support grants.

### 5.5.0

**2018.02.02**

- [NEW] Wildcard `::1` to support local-hosted HTTP endpoints.
- [FIX] Avoid uncessary fields when creating multi-selection.

### 5.4.0

**2018.01.16**

- [NEW] API `getPreviewURL` & `getThumbnailURL`.
- [NEW] Action `browseTo` to manage window/tab browsing.

### 5.3.1

**2018.01.11**

- [BREAK] Remove `historizeUserConnection` API.
- [FIX] Add peer dependency to `react-router`.

### 5.2.0

**2017.11.28**

- [NEW] `refreshEntity` and `restoreLastVersion` as document actions.

### 5.1.2

**2017.09.08**

- [BREAK] `stream` suffix for document download endpoint.
- [FIX] Rethrow exception on init flow.

### 5.1.1

**2017.09.01**

- [NEW] Use `Redux DevTools` in development.
- [NEW] Move `getIcoPath`, `canUseAuthorization` and `getOption` to zen-cortex.

### 5.0.1

**2017.08.31**

- [FIX] Clean up settings reducer when user logs out.

### 5.0.0

**2017.08.29**

- [BREAK] Use fetch & promise native in middleware instead of Jquery deferred &
  ajax.

### 4.5.0

**2017.08.25**

- [NEW] `loadSnapshot` action.
- [FIX] Compatibility with zen-libs.

### 4.4.2

**2017.08.04**

- [FIX] Proper encoding of document label in URL

### 4.4.1

**2017.07.31**

- [FIX] Expose `core` methods as helpers functions.

### 4.4.0

**2017.07.19**

- [FIX] Pass along target container entity with `upload` action.

### 4.3.0

**2017.07.18**

- [FIX] Promisify log message methods

### 4.2.0

**2017.07.13**

- [NEW] `alertMessage` and `notifyMessage` actions for logging user messages
- [NEW] Support of multiple notifications

### 4.1.0

**2017.07.07**

- [NEW] Action to retrieve back-office versions
- [FIX] Add UI feeback to multi-selection handler

### 4.0.0

**2017.06.28**

- [BREAK] Singleton for browser history
- [NEW] Delete action
- [NEW] Multi selection action

### 3.6.0

**2017.06.23**

- [NEW] Improve internal log message

### 3.5.0

**2017.03.03**

- [NEW] `params` options to send with uploaded file

### 3.4.0

**2017.02.01**

- [NEW] `getEndpoint` to compute entity generic endpoint
- [NEW] `constants` for web api partial action types
- [NEW] `uploadDocument` action

### 3.3.0

**2017.01.06**

- [NEW] Allow to get HTTP served resource (distinct from API call)
- [FIX] Refresh policy when restoring user session

### 3.2.2

**2017.01.04**

- [FIX] 500 back-office errors are redirected to custom display pages
- [NEW] Back-office errors are redirected only if no `silent` option

### 3.2.1

**2017.01.03**

- [FIX] 403 back-office errors are redirected to custom display pages
- [FIX] Back-office errors : URL are replaced from browser history

### 3.2.0

**2016.12.28**

- [NEW] Redux action for navigating somewhere in the web application
- [NEW] Async action can be called from `web-api` middleware
- [NEW] 404 back-office errors are redirected to custom display pages

### 3.1.2

**2016.12.23**

- [FIX] document's name forwarded to pdf.js

### 3.1.1

**2016.12.22**

- [FIX] Handle `cache` route

### 3.1.0

**2016.12.19**

- [NEW] Manage credential synchronization mode in session state

### 3.0.1

**2016.11.30**

- [BREAK] Use `users` web service instead of `userproperties` and ensure
  compatibility with refactored DTO
- [BREAK] Use `EntityKind` property
- [NEW] Use sanitized web-service for fetching settings of authentified user
- [NEW] Add a state selector to get user identifier

### 2.3.0

**2016.11.08**

- [NEW] Initialize document title through configuration file
- [FIX] HTTP 403 revokes access now

### 2.2.0

**2016.08.16**

- [NEW] Action to change user password

### 2.1.0

**2016.08.08**

- [NEW] Option to silent web-service exceptions
- [NEW] Allow to translate custom web-service exception

### 2.0.0

**2016.08.05**

- [BREAK] Move all utils to `zen-cerebellum`
- [NEW] Standardize error in web-api failure action
- [FIX] Do not case the user login at sign in
