import { api } from "zen-cerebellum";
import { DELETE_ENTITIES } from "../constants";
import { withMultiSelection } from "./selection";

/** WAA - Delete entities
 * @param {string} key - selection back office cached key
 */
function sendDeletionQuery(key) {
  return api.delete(DELETE_ENTITIES, `/selection/${key}`);
}

//RAA : delete entities
export const deleteEntities = withMultiSelection(sendDeletionQuery);
