import { createReducer } from "zen-cerebellum";
import { MESSAGE_NOTIFY, MESSAGE_DISMISS, MESSAGES_CLEAR } from "../constants";

export default createReducer([], {
  [MESSAGE_NOTIFY]: (state, { payload }) => state.concat(payload),
  [MESSAGE_DISMISS]: (state, { payload }) => state.filter(x => x !== payload),
  [MESSAGES_CLEAR]: () => []
});
