import configureStore from "./store";
import * as reducers from "./reducers";

//collect resources
import { LocaleCollector } from "zen-lingual";
import en from "./locales/en";
import fr from "./locales/fr";

//main exports redirects to only public features.
export { configureStore, reducers };
export * from "./actions";

LocaleCollector.declare({ en, fr });
